package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairEvaluate;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.EvaluateVo;
import com.repair.model.vo.RecordEvaluateVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-10
 */
public interface RepairEvaluateService extends IService<RepairEvaluate> {
    int insertRepairEvaluate(RepairEvaluate ra);

    int deleteRepairEvaluateById(int id);

    PageUtils<RepairEvaluate> queryPageList(int currentPage, int pageCount, String keyWord, String startTime, String endTime);

    RepairEvaluate getRepairById(int id);

    RepairEvaluate getRepairByRecordId(int recordId);

    List<EvaluateVo> queryEvaluateList(String keyWord, String startTime, String endTime);

    List<RecordEvaluateVo> queryEvaluateList(String dateStr);

    boolean inserBatchEvaluate(List<RepairEvaluate> datas);

    List<RepairEvaluate> getRepairByRecordIds(List<Integer> recordIds);
}
